<div [ngClass]="['e-walidata-search-indicator']">
  <div
    jdsBiInputGroup
    variant="element"
  >
    <input
      [(ngModel)]="searchData"
      [colorScheme]="colorScheme"
      (keyup.enter)="onSearch(searchData)"
      placeholder="Cari Uraian atau Kode DSSD"
      name="search"
      type="text"
      jdsBiInput
    />
    <jds-bi-input-right-element>
      <div [ngClass]="[jds.d('flex'), jds.alignItems('center')]">
        <jds-bi-icon
          *ngIf="searchData"
          [ngClass]="[jds.me(8)]"
          [color]="jdsBiColor.gray['500']"
          [style.cursor]="'pointer'"
          (click)="onSearch('')"
          name="circle-xmark"
        />
        <button
          [colorScheme]="colorScheme"
          [isIconOnly]="true"
          (click)="onSearch(searchData)"
          jdsBiButton
          variant="solid"
        >
          <jds-bi-icon
            [size]="14"
            name="magnifying-glass"
          />
        </button>
      </div>
    </jds-bi-input-right-element>
  </div>
</div>
